## org.apache.sling.extensions.mdc.internal
Class MDCInsertingFilter

    java.lang.Object
      org.apache.sling.extensions.mdc.internal.MDCInsertingFilter

All Implemented Interfaces:
  javax.servlet.Filter

    @Service
    @Property(name="pattern",
              value="/.*",
              propertyPrivate=true)
    public class MDCInsertingFilter

extends Object
implements javax.servlet.Filter

Field Summary
`static String` `REQUEST_QUERY_STRING`
`static String` `REQUEST_REMOTE_HOST_MDC_KEY`
`static String` `REQUEST_REQUEST_URI`
`static String` `REQUEST_REQUEST_URL`
`static String` `REQUEST_USER_AGENT_MDC_KEY`
`static String` `REQUEST_X_FORWARDED_FOR`

Constructor Summary
`MDCInsertingFilter()`

Method Summary
`void` `destroy()`
`void` `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` `init(javax.servlet.FilterConfig filterConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_REMOTE_HOST_MDC_KEY

    public static final String REQUEST_REMOTE_HOST_MDC_KEY

See Also:
  Constant Field Values

### REQUEST_USER_AGENT_MDC_KEY

    public static final String REQUEST_USER_AGENT_MDC_KEY

See Also:
  Constant Field Values

### REQUEST_REQUEST_URI

    public static final String REQUEST_REQUEST_URI

See Also:
  Constant Field Values

### REQUEST_QUERY_STRING

    public static final String REQUEST_QUERY_STRING

See Also:
  Constant Field Values

### REQUEST_REQUEST_URL

    public static final String REQUEST_REQUEST_URL

See Also:
  Constant Field Values

### REQUEST_X_FORWARDED_FOR

    public static final String REQUEST_X_FORWARDED_FOR

See Also:
  Constant Field Values

Constructor Detail

### MDCInsertingFilter

    public MDCInsertingFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.